/*

	charset encapsulation
	(in spite of encapsulation)

*/

#ifndef CHARSET_H
#define CHARSET_H


class tCharset
{
private:

public:

	// palette is word32-padded for speed
	unsigned char palette[32*32*8*4];

	unsigned char** sprites;
	unsigned char** chars;
	unsigned char** tiles16;
	unsigned char** tiles32;

	int nSprites;
	int nChars;
	int nTiles16;
	int nTiles32;

	tCharset(int,int,int,int);
	~tCharset();

	void printCharacter(unsigned long int*,int,int,int,int,int,int,int,int);
	void printSprite(unsigned long int*,int,int,int,int,int,int,int,int);
	void printChar(unsigned long int*,int,int,int,int,int,int,int,int);
	void printTile16(unsigned long int*,int,int,int,int,int,int,int,int);
	void printTile32(unsigned long int*,int,int,int,int,int,int,int,int);
};

#endif