/*

  tbackground component

*/

#include <windows.h>

#include "background.h"
#include "font.h"

#define clamp(x) (x<0)?0:(x>255)?255:x


tBackground::tBackground(int col,int gxs,int gys)
{
	color=col;
	guiXsize=gxs;
	guiYsize=gys;
	active=1;
}

void tBackground::draw(unsigned long int* vbuf,tFont* f8x8,guiInput* gi)
{
	for (int i=0;i<(guiXsize*guiYsize);i++)
	{
		int r,g,b;
		int r1,g1,b1;
		int rf,gf,bf;

		r=vbuf[i]&0xff; g=(vbuf[i]>>8)&0xff; b=(vbuf[i]>>16)&0xff;
		r1=color&0xff; g1=(color>>8)&0xff; b1=(color>>16)&0xff;

		rf=clamp((r+r1)/2); gf=clamp((g+g1)/2); bf=clamp((b+b1)/2);

		vbuf[i]=rf|(gf<<8)|(bf<<16);
	}
}