/*********************************************************

    Capcom Q-Sound system

*********************************************************/

#ifndef __QSOUND_H__
#define __QSOUND_H__

#define QSOUND_CLOCK    4000000   /* default 4MHz clock */

struct QSound_interface {
	int clock;					/* clock */
	signed char* samplerom;
	int mixing_level[2];		/* volume */
	int freq;
};

int  qsound_sh_start(struct QSound_interface *msound );
void qsound_sh_stop( void );
void qsound_set_command(unsigned char data, int value);
void qsound_update( int num, signed short int **buffer, int length );

/*
WRITE_HANDLER( qsound_data_h_w );
WRITE_HANDLER( qsound_data_l_w );
WRITE_HANDLER( qsound_cmd_w );
READ_HANDLER( qsound_status_r );
*/

#endif /* __QSOUND_H__ */
