
/*

  list of romsets

*/


#include "roms.h"



tRomSet romsetList[]=
{
	//
	// neo-gay roms
	//

	//
	// Puzzle Bobble
	//

	{
		"pbobble",
		"Puzzle Bobble",
		ROMSET_NEOGEO,
		VIDEO_NORMAL,
		0,

		0xa000,	//spr
		0x2000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x1fff,	// charpad
		0x0, // tile16pad
		0x0,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		1,
 		6,
		0,
		0,

		{
			{"puzzb_p1.rom","pbobble",0x40000,0x000000,ROM_LOAD_NORMAL},

			{"puzzb_s1.rom","pbobble",0x20000,0x000000,ROM_LOAD_NORMAL},
			{"ng-sfix.rom","neogeo",0x20000,0x20000,ROM_LOAD_NORMAL},

			{"puzzb_c1.rom","pbobble",0x100000,0,ROM_LOAD_EVEN},
			{"puzzb_c2.rom","pbobble",0x100000,0,ROM_LOAD_ODD},
			{"puzzb_c3.rom","pbobble",0x100000,0x200000,ROM_LOAD_EVEN},
			{"puzzb_c4.rom","pbobble",0x100000,0x200000,ROM_LOAD_ODD},
			{"puzzb_c5.rom","pbobble",0x80000,0x400000,ROM_LOAD_EVEN},
			{"puzzb_c6.rom","pbobble",0x80000,0x400000,ROM_LOAD_ODD}
		}
	},

	//
	// Metal Slug 2
	//
/*
	{
		"mslug2",
		"Metal Slug 2",
		ROMSET_NEOGEO,
		VIDEO_NORMAL,
		0,

		0x40000,	//spr
		0x2000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x1fff,	// charpad
		0x0,
		0x0,

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		2,
		4,
		0,
		0,

		{
			{"ms2_p1.rom","mslug2",0x100000,0,ROM_LOAD_NORMAL},
			{"ms2_p2.rom","mslug2",0x200000,0x100000,ROM_LOAD_NORMAL},

			{"ms2_s1.rom","mslug2",0x20000,0x00000,ROM_LOAD_NORMAL},
			{"ng-sfix.rom","neogeo",0x20000,0x20000,ROM_LOAD_NORMAL},

			{"ms2_c1.rom","mslug2",0x800000,0x000000,ROM_LOAD_EVEN},
			{"ms2_c2.rom","mslug2",0x800000,0x000000,ROM_LOAD_ODD},
			{"ms2_c3.rom","mslug2",0x800000,0x1000000,ROM_LOAD_EVEN},
			{"ms2_c4.rom","mslug2",0x800000,0x1000000,ROM_LOAD_ODD}
		}
	},
*/

	//
	// Puzzle de Pon (rotfl)
	//

	{
		"puzzledp",
		"Puzzle de Pon",
		ROMSET_NEOGEO,
		VIDEO_NORMAL,
		0,

		0x4000,	//spr
		0x1000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0xfff,	// charpad
		0x0, // tile16pad
		0x0,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		1,
		2,
		0,
		0,

		{
			{"pdpon_p1.rom","puzzledp",0x80000,0x000000,ROM_LOAD_NORMAL},

			{"pdpon_s1.rom","puzzledp",0x10000,0x000000,ROM_LOAD_NORMAL},
			{"ng-sfix.rom","neogeo",0x20000,0x20000,ROM_LOAD_NORMAL},

			{"pdpon_c1.rom","puzzledp",0x100000,0,ROM_LOAD_EVEN},
			{"pdpon_c2.rom","puzzledp",0x100000,0,ROM_LOAD_ODD}
		}
	},

	//
	// Neo drift out
	//

	{
		"neodrift",
		"Neo Drift Out",
		ROMSET_NEOGEO,
		VIDEO_NORMAL,
		0,

		0x10000,	//spr
		0x2000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x1fff,	// charpad
		0x0,
		0x0,

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		1,
		2,
		0,
		0,

		{
			{"drift_p1.rom","neodrift",0x200000,0,ROM_LOAD_HALFSPLIT},

			{"drift_s1.rom","neodrift",0x20000,0x00000,ROM_LOAD_NORMAL},
			{"ng-sfix.rom","neogeo",0x20000,0x20000,ROM_LOAD_NORMAL},

			{"drift_c1.rom","neodrift",0x400000,0x000000,ROM_LOAD_HSEVEN},
			{"drift_c2.rom","neodrift",0x400000,0x000000,ROM_LOAD_HSODD}
		}
	},



	//
	// Metal Slug 1
	//

	{
		"mslug",
		"Metal Slug 1",
		ROMSET_NEOGEO,
		VIDEO_NORMAL,
		0,

		0x20000,	//spr
		0x2000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x1fff,	// charpad
		0x0,
		0x0,

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		1,
		4,
		0,
		0,

		{
			{"mslug_p1.rom","mslug",0x200000,0,ROM_LOAD_HALFSPLIT},

			{"mslug_s1.rom","mslug",0x20000,0x00000,ROM_LOAD_NORMAL},
			{"ng-sfix.rom","neogeo",0x20000,0x20000,ROM_LOAD_NORMAL},

			{"mslug_c1.rom","mslug",0x400000,0x000000,ROM_LOAD_HSEVEN},
			{"mslug_c2.rom","mslug",0x400000,0x000000,ROM_LOAD_HSODD},
			{"mslug_c3.rom","mslug",0x400000,0x800000,ROM_LOAD_HSEVEN},
			{"mslug_c4.rom","mslug",0x400000,0x800000,ROM_LOAD_HSODD}
		}
	},

	//
	// system 16 romz
	//

	//
	// Shinobi
	//

	{
		"shinobi",
		"Shinobi",
		ROMSET_S16,
		VIDEO_NORMAL,
		0,

		0x80000,	//spr
		0x2000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x7ff,	// charpad
		0x1ff, // tile16pad
		0x3ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		4,
		11,
		1,
		0,

		{
			{"shinobi.a4","shinobi",0x10000,0x00000,ROM_LOAD_ODD},
			{"shinobi.a1","shinobi",0x10000,0x00000,ROM_LOAD_EVEN},
			{"epr11283"  ,"shinobi",0x10000,0x20000,ROM_LOAD_ODD},
			{"epr11281"  ,"shinobi",0x10000,0x20000,ROM_LOAD_EVEN},

			{"shinobi.b9" ,"shinobi",0x10000,0x00000,ROM_LOAD_NORMAL},
			{"shinobi.b10","shinobi",0x10000,0x10000,ROM_LOAD_NORMAL},
			{"shinobi.b11","shinobi",0x10000,0x20000,ROM_LOAD_NORMAL},

			{"epr11290.10","shinobi",0x10000,0x00000,ROM_LOAD_ODD},
			{"epr11294.11","shinobi",0x10000,0x00000,ROM_LOAD_EVEN},
			{"epr11291.17","shinobi",0x10000,0x20000,ROM_LOAD_ODD},
			{"epr11295.18","shinobi",0x10000,0x20000,ROM_LOAD_EVEN},
			{"epr11292.23","shinobi",0x10000,0x40000,ROM_LOAD_ODD},
			{"epr11296.24","shinobi",0x10000,0x40000,ROM_LOAD_EVEN},
			{"epr11293.29","shinobi",0x10000,0x60000,ROM_LOAD_ODD},
			{"epr11297.30","shinobi",0x10000,0x60000,ROM_LOAD_EVEN},

			{"shinobi.a7" ,"shinobi",0x8000 ,0x00000,ROM_LOAD_NORMAL}
		}
	},

	//
	// system 18 roms
	//
	
	//
	// Shadow Dancer
	//

	{
		"shdancer",
		"Shadow Dancer",
		ROMSET_S18,
		VIDEO_NORMAL,
		0,

		0x80000*4,	//sprsize
		0x8000, //chars
		0x0,
		0x0,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x0,
		0x0,

		0x0,0x0,0x0,
		0x0,0x0,0x0,

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		2,
		11,
		0,
		0,

		{
			{"shdancer.a6","shdancer",0x40000,0x00000,ROM_LOAD_ODD},
			{"shdancer.a5","shdancer",0x40000,0x00000,ROM_LOAD_EVEN},

			{"sd12712.bin" ,"shdancer",0x40000,0x00000,ROM_LOAD_NORMAL},
			{"sd12713.bin" ,"shdancer",0x40000,0x40000,ROM_LOAD_NORMAL},
			{"sd12714.bin" ,"shdancer",0x40000,0x80000,ROM_LOAD_NORMAL},

			{"sd12719.bin","shdancer",0x40000,0x00000,ROM_LOAD_ODD},
			{"sd12726.bin","shdancer",0x40000,0x00000,ROM_LOAD_EVEN},
			{"sd12718.bin","shdancer",0x40000,0x80000,ROM_LOAD_ODD},
			{"sd12725.bin","shdancer",0x40000,0x80000,ROM_LOAD_EVEN},
			{"sd12717.bin","shdancer",0x40000,0x100000,ROM_LOAD_ODD},
			{"sd12724.bin","shdancer",0x40000,0x100000,ROM_LOAD_EVEN},
			{"sd12716.bin","shdancer",0x40000,0x180000,ROM_LOAD_ODD},
			{"sd12723.bin","shdancer",0x40000,0x180000,ROM_LOAD_EVEN}
		}
	},


	//
	// CPS1-2 roms
	//

	//
	// Final Fight (World,1989)
	//

	{
		"ffight",
		"Final Fight World",
		ROMSET_CPS1,
		VIDEO_NORMAL,
		2,

		0x2200,
		0x800,
		0x1000,
		0x400,

		0x100000*8,0x80000*8,
		0x100000*8,
		0x100000*8,0x80000*8,
		0x100000*8,0x80000*8,

		0, 0x44000, 0x60000, 0x4c000,
		0xc00,0x0,0x180,
		0x7ff,0xfff,0x3ff,

		0x800160,0x0004,
		0,0,0,0,
		0x6e,

		5,
		4,
		2,
		1,

		{
			{"ff30-36.bin" ,"ffight",0x20000,0	   ,ROM_LOAD_ODD},
			{"ff35-42.bin" ,"ffight",0x20000,0      ,ROM_LOAD_EVEN},
			{"ff31-37.bin" ,"ffight",0x20000,0x40000,ROM_LOAD_ODD},
			{"ff36-43.bin" ,"ffight",0x20000,0x40000,ROM_LOAD_EVEN},
			{"ff32-32m.bin","ffight",0x80000,0x80000,ROM_LOAD_WIDESWAP},

			{"ff01-01m.bin","ffight",0x80000,0	    ,ROM_LOAD_NORMAL},
			{"ff05-05m.bin","ffight",0x80000,0x80000 ,ROM_LOAD_NORMAL},
			{"ff03-03m.bin","ffight",0x80000,0x100000,ROM_LOAD_NORMAL},
			{"ff07-07m.bin","ffight",0x80000,0x180000,ROM_LOAD_NORMAL},

			{"ff09-09.bin","ffight",0x10000,0x0,ROM_LOAD_NORMAL},
			{"ff18-18.bin","ffight",0x20000,0x0,ROM_LOAD_NORMAL},
			{"ff19-19.bin","ffight",0x20000,0x20000,ROM_LOAD_NORMAL}
		}
	},

	//
	// three wonders
	//

	{
		"3wonders",
		"Three Wonders",
		ROMSET_CPS1,
		VIDEO_NORMAL,
		1,

		0x8000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x1000,  

		0x200000*8,0x100000*8,
		0x100000*8,
		0x200000*8,0x100000*8,
		0x200000*8,0x100000*8,

		0x0, 0x140000, 0x80000, 0x70000,
		0x0,0x0,0xe00,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0xfff,  // tile32pad

		0x800172,0x0800,
		0x80014a,0x800148,0x4e,0x4c,
		0x68,

		8,
		8,
		2,
		1,

		{
			{"rte.30a"		,"3wonders",0x20000,0		,ROM_LOAD_ODD},
			{"rte.35a"		,"3wonders",0x20000,0      ,ROM_LOAD_EVEN},
			{"rte.31a"		,"3wonders",0x20000,0x40000,ROM_LOAD_ODD},
			{"rte.36a"		,"3wonders",0x20000,0x40000,ROM_LOAD_EVEN},
			{"3wonders.28"  ,"3wonders",0x20000,0x80000,ROM_LOAD_ODD},
			{"3wonders.33"  ,"3wonders",0x20000,0x80000,ROM_LOAD_EVEN},
			{"rte.29a"		,"3wonders",0x20000,0xc0000,ROM_LOAD_ODD},
			{"rte.34a"		,"3wonders",0x20000,0xc0000,ROM_LOAD_EVEN},

			{"3wonders.01","3wonders",0x80000,0		,ROM_LOAD_NORMAL},
			{"3wonders.02","3wonders",0x80000,0x80000	,ROM_LOAD_NORMAL},
			{"3wonders.05","3wonders",0x80000,0x100000	,ROM_LOAD_NORMAL},
			{"3wonders.06","3wonders",0x80000,0x180000	,ROM_LOAD_NORMAL},
			{"3wonders.03","3wonders",0x80000,0x200000 ,ROM_LOAD_NORMAL},
			{"3wonders.04","3wonders",0x80000,0x280000 ,ROM_LOAD_NORMAL},
			{"3wonders.07","3wonders",0x80000,0x300000	,ROM_LOAD_NORMAL},
			{"3wonders.08","3wonders",0x80000,0x380000	,ROM_LOAD_NORMAL},

			{"3wonders.09","3wonders",0x10000,0x0,ROM_LOAD_NORMAL},
			{"3wonders.18","3wonders",0x20000,0x0,ROM_LOAD_NORMAL},
			{"3wonders.19","3wonders",0x20000,0x20000,ROM_LOAD_NORMAL}
		}
	},

	//
	// megaman
	//

	{
		"megaman",
		"Megaman the Power Battle",
		ROMSET_CPS1,
		VIDEO_NORMAL,
		0,

		0xb000,	//spr
		0x4000, //chars
		0x8000, //tile16
		0x1000,  

		0x400000*8,0x200000*8,			// sprmagic
		0x400000*8,						// charmagic
		0x400000*8,0x200000*8,
		0x400000*8,0x200000*8,

		0x0, 0x0, 0x100000, 0x180000,
		0x0,0x0,0x0,
		0x3fff,	// charpad
		0x7fff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		3,
		16,
		2,
		1,

		{
			{"rcma_23b.rom"	,"megaman",0x80000,0		,ROM_LOAD_WIDESWAP},
			{"rcma_22b.rom"	,"megaman",0x80000,0x80000,ROM_LOAD_WIDESWAP},
			{"rcma_21a.rom"	,"megaman",0x80000,0x100000,ROM_LOAD_WIDESWAP},

			{"rcm_03.rom","megaman",0x80000,0				,ROM_LOAD_NORMAL},
			{"rcm_07.rom","megaman",0x80000,0x80000		,ROM_LOAD_NORMAL},
			{"rcm_12.rom","megaman",0x80000,0x100000		,ROM_LOAD_NORMAL},
			{"rcm_16.rom","megaman",0x80000,0x180000		,ROM_LOAD_NORMAL},
			{"rcm_01.rom","megaman",0x80000,0x200000		,ROM_LOAD_NORMAL},
			{"rcm_05.rom","megaman",0x80000,0x280000		,ROM_LOAD_NORMAL},
			{"rcm_10.rom","megaman",0x80000,0x300000		,ROM_LOAD_NORMAL},
			{"rcm_14.rom","megaman",0x80000,0x380000		,ROM_LOAD_NORMAL},
			{"rcm_04.rom","megaman",0x80000,0x400000		,ROM_LOAD_NORMAL},
			{"rcm_08.rom","megaman",0x80000,0x480000		,ROM_LOAD_NORMAL},
			{"rcm_13.rom","megaman",0x80000,0x500000		,ROM_LOAD_NORMAL},
			{"rcm_17.rom","megaman",0x80000,0x580000		,ROM_LOAD_NORMAL},
			{"rcm_02.rom","megaman",0x80000,0x600000		,ROM_LOAD_NORMAL},
			{"rcm_06.rom","megaman",0x80000,0x680000		,ROM_LOAD_NORMAL},
			{"rcm_11.rom","megaman",0x80000,0x700000		,ROM_LOAD_NORMAL},
			{"rcm_15.rom","megaman",0x80000,0x780000		,ROM_LOAD_NORMAL},

			{"rcm_09.rom","megaman",0x20000,0x0,ROM_LOAD_NORMAL},
			{"rcm_18.rom","megaman",0x20000,0x0,ROM_LOAD_NORMAL},
			{"rcm_19.rom","megaman",0x20000,0x20000,ROM_LOAD_NORMAL}
		}
	},

	//
	// street fighter 2 (World, 1991)
	//

	{
		"sf2",
		"SF2 World",
		ROMSET_CPS1,
		VIDEO_NORMAL,
		0,

		0xa000,
		0x1000,
		0x4000,
		0x0400,

		0x300000*8,0x180000*8,
		0x300000*8,
		0x300000*8,0x180000*8,
		0x300000*8,0x180000*8,

		0, 0x140000, 0x100000, 0x120000,
		0x0,0x0,0x0,
		0xfff,0x3fff,0x3ff,

		0x800148,0x0407,
		0,0,0,0,
		0x54,

		8,
		12,
		2,
		1,

		{
			{"sf2e_30b.rom" ,"sf2",0x20000 ,0	       ,ROM_LOAD_ODD},
			{"sf2e_37b.rom" ,"sf2",0x20000 ,0	       ,ROM_LOAD_EVEN},
			{"sf2e_31b.rom" ,"sf2",0x20000 ,0x40000  ,ROM_LOAD_ODD},
			{"sf2e_38b.rom" ,"sf2",0x20000 ,0x40000  ,ROM_LOAD_EVEN},
			{"sf2_28b.rom"  ,"sf2",0x20000 ,0x80000  ,ROM_LOAD_ODD},
			{"sf2_35b.rom"  ,"sf2",0x20000 ,0x80000  ,ROM_LOAD_EVEN},
			{"sf2_29b.rom"  ,"sf2",0x20000 ,0xc0000  ,ROM_LOAD_ODD},
			{"sf2_36b.rom"  ,"sf2",0x20000 ,0xc0000  ,ROM_LOAD_EVEN},

			{"sf2gfx01.rom" ,"sf2",0x80000,0		    ,ROM_LOAD_NORMAL},
			{"sf2gfx10.rom" ,"sf2",0x80000,0x80000	,ROM_LOAD_NORMAL},
			{"sf2gfx20.rom" ,"sf2",0x80000,0x100000	,ROM_LOAD_NORMAL},
			{"sf2gfx02.rom" ,"sf2",0x80000,0x180000	,ROM_LOAD_NORMAL},
			{"sf2gfx11.rom" ,"sf2",0x80000,0x200000	,ROM_LOAD_NORMAL},
			{"sf2gfx21.rom" ,"sf2",0x80000,0x280000	,ROM_LOAD_NORMAL},
			{"sf2gfx03.rom" ,"sf2",0x80000,0x300000	,ROM_LOAD_NORMAL},
			{"sf2gfx12.rom" ,"sf2",0x80000,0x380000	,ROM_LOAD_NORMAL},
			{"sf2gfx22.rom" ,"sf2",0x80000,0x400000	,ROM_LOAD_NORMAL},
			{"sf2gfx04.rom" ,"sf2",0x80000,0x480000	,ROM_LOAD_NORMAL},
			{"sf2gfx13.rom" ,"sf2",0x80000,0x500000	,ROM_LOAD_NORMAL},
			{"sf2gfx23.rom" ,"sf2",0x80000,0x580000	,ROM_LOAD_NORMAL},

			{"sf2_09.rom","sf2",0x10000,0,ROM_LOAD_NORMAL},
			{"sf2_18.rom","sf2",0x20000,0,ROM_LOAD_NORMAL},
			{"sf2_19.rom","sf2",0x20000,0x20000,ROM_LOAD_NORMAL}
		}
	},

	//
	// Super Puzzle Fighter 2 X (Japan 960531)
	//

	{
		"spf2xj",
		"Super Puzzle Fighter 2X",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x8000,	//spr
		0x4000, //chars
		0x2000, //tile16
		0x200,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0x5800*16*8, 
		0x1cc0*64*8,

		0x0,0x5800,0x1cc0,
		0x3fff,	// charpad
		0x1fff, // tile16pad
		0x1ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		3,
		4,
		2,
		2,

		{
			{"pzfj.03a"	,"spf2xj",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"pzf.04a"	,"spf2xj",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"pzfjx.03a","spf2xj",0x80000,0x400000,ROM_LOAD_WIDESWAP},

			{"pzf.14","spf2xj",0x100000,0x000000	,ROM_LOAD_SKIP6},
			{"pzf.16","spf2xj",0x100000,0x000002	,ROM_LOAD_SKIP6},
			{"pzf.18","spf2xj",0x100000,0x000004	,ROM_LOAD_SKIP6},
			{"pzf.20","spf2xj",0x100000,0x000006	,ROM_LOAD_SKIP6},

			{"pzf.01","spf2xj",0x20000,0	       ,ROM_LOAD_NORMAL},
			{"pzf.02","spf2xj",0x20000,0x20000  ,ROM_LOAD_NORMAL},
			{"pzf.11","spf2xj",0x200000,0       ,ROM_LOAD_BYTESWAP},
			{"pzf.12","spf2xj",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Capcom Sports Club
	//

	{
		"csclubj",
		"Capcom Sports Club",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x10000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x20*24*8*8*16, 
		0x2000*16*8,
		0x0,

		0x3000,0x2000,0x0,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		9,
		4,
		1,
		2,

		{
			{"cscj.03"	,"csclubj",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"cscj.04"	,"csclubj",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"cscj.05"	,"csclubj",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"cscj.06"	,"csclubj",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"csc.07"	,"csclubj",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"cscjx.03"	,"csclubj",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"cscjx.04"	,"csclubj",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"cscjx.05"	,"csclubj",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"cscjx.06"	,"csclubj",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"csc.14","csclubj",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"csc.16","csclubj",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"csc.18","csclubj",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"csc.20","csclubj",0x200000,0x000006	,ROM_LOAD_SKIP6},

			{"csc.01","csclubj",0x20000,0	,ROM_LOAD_NORMAL},
			{"csc.11","csclubj",0x200000,0,ROM_LOAD_BYTESWAP},
			{"csc.12","csclubj",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Capcom Sports Club
	//

	{
		"cscluba",
		"CSC asia",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x10000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x20*24*8*8*16, 
		0x2000*16*8,
		0x0,

		0x3000,0x2000,0x0,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		9,
		4,
		1,
		2,

		{
			{"csca.03"	,"cscluba",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"csca.04"	,"cscluba",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"csca.05"	,"cscluba",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"csca.06"	,"cscluba",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"csc.07"	,"csclubj",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"cscax.03"	,"cscluba",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"cscax.04"	,"cscluba",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"cscax.05"	,"cscluba",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"cscax.06"	,"cscluba",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"csc.14","csclubj",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"csc.16","csclubj",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"csc.18","csclubj",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"csc.20","csclubj",0x200000,0x000006	,ROM_LOAD_SKIP6},

			{"csc.01","csclubj",0x20000,0	,ROM_LOAD_NORMAL},
			{"csc.11","csclubj",0x200000,0,ROM_LOAD_BYTESWAP},
			{"csc.12","csclubj",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Armored Warriors
	//

	{
		"armwar",
		"Armored Warriors",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x40000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x1000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x0c00*16*8,
		0x800000+0x0e00*64*8,

		0x0,0x0c00,0x0e00,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0x804144,0x804146,0x40,0x42,
		0x66,

		10,
		8,
		2,
		2,

		{
			{"pwgu.03b"	,"armwar",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"pwgu.04b"	,"armwar",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"pwgu.05b"	,"armwar",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"pwg.06"	,"armwar",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"pwg.07"	,"armwar",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"pwg.08"	,"armwar",0x80000,0x280000,ROM_LOAD_WIDESWAP},
			{"pwg.09a"	,"armwar",0x80000,0x300000,ROM_LOAD_WIDESWAP},
			{"pwg.10"	,"armwar",0x80000,0x380000,ROM_LOAD_WIDESWAP},
			{"pwgux.03b","armwar",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"pwgux.04b","armwar",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"pwg.13","armwar",0x400000,0x000000	,ROM_LOAD_SKIP6},
			{"pwg.15","armwar",0x400000,0x000002	,ROM_LOAD_SKIP6},
			{"pwg.17","armwar",0x400000,0x000004	,ROM_LOAD_SKIP6},
			{"pwg.19","armwar",0x400000,0x000006	,ROM_LOAD_SKIP6},
			{"pwg.14","armwar",0x100000,0x1000000	,ROM_LOAD_SKIP6},
			{"pwg.16","armwar",0x100000,0x1000002	,ROM_LOAD_SKIP6},
			{"pwg.18","armwar",0x100000,0x1000004	,ROM_LOAD_SKIP6},
			{"pwg.20","armwar",0x100000,0x1000006	,ROM_LOAD_SKIP6},

			{"pwg.01","armwar",0x20000 ,0	   ,ROM_LOAD_NORMAL},
			{"pwg.02","armwar",0x20000 ,0x20000 ,ROM_LOAD_NORMAL},
			{"pwg.11","armwar",0x200000,0       ,ROM_LOAD_BYTESWAP},
			{"pwg.12","armwar",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},


	//
	// Street Fighter Alpha 2
	//

	{
		"sfa2",
		"Street Fighter Alpha 2",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x28000,	//spr
		0x8000, //chars
		0x8000, //tile16
		0x1000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0xa400*16*8,
		0x800000+0x0900*64*8,

		0x0,0xa400,0x0900,
		0x7fff,	// charpad
		0x7fff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		8,
		8,
		2,
		2,

		{
			{"sz2u.03"	,"sfa2",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"sz2u.04"	,"sfa2",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"sz2u.05"	,"sfa2",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"sz2u.06"	,"sfa2",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"sz2u.07"	,"sfa2",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"sz2u.08"	,"sfa2",0x80000,0x280000,ROM_LOAD_WIDESWAP},
			{"sz2ux.03"	,"sfa2",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"sz2ux.04"	,"sfa2",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"sz2.13","sfa2",0x400000,0x000000	,ROM_LOAD_SKIP6},
			{"sz2.15","sfa2",0x400000,0x000002	,ROM_LOAD_SKIP6},
			{"sz2.17","sfa2",0x400000,0x000004	,ROM_LOAD_SKIP6},
			{"sz2.19","sfa2",0x400000,0x000006	,ROM_LOAD_SKIP6},
			{"sz2.14","sfa2",0x100000,0x1000000	,ROM_LOAD_SKIP6},
			{"sz2.16","sfa2",0x100000,0x1000002	,ROM_LOAD_SKIP6},
			{"sz2.18","sfa2",0x100000,0x1000004	,ROM_LOAD_SKIP6},
			{"sz2.20","sfa2",0x100000,0x1000006	,ROM_LOAD_SKIP6},

			{"sz2.01","sfa2",0x20000 ,0	   ,ROM_LOAD_NORMAL},
			{"sz2.02","sfa2",0x20000 ,0x20000 ,ROM_LOAD_NORMAL},
			{"sz2.11","sfa2",0x200000,0       ,ROM_LOAD_BYTESWAP},
			{"sz2.12","sfa2",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Marvel Super Heroes (951024)
	//

	{
		"msh",
		"Marvel Super Heroes",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x40000,	//spr
		0x4000, //chars
		0x8000, //tile16
		0x2000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x6000*16*8,
		0x800000+0x0700*64*8,

		0x0,0x6000,0x0700,
		0x3fff,	// charpad
		0x7fff, // tile16pad
		0x1fff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		10,
		8,
		2,
		2,

		{
			{"mshu.03"	,"msh",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"mshu.04"	,"msh",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"msh.05"	,"msh",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"msh.06"	,"msh",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"msh.07"	,"msh",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"msh.08"	,"msh",0x80000,0x280000,ROM_LOAD_WIDESWAP},
			{"msh.09"	,"msh",0x80000,0x300000,ROM_LOAD_WIDESWAP},
			{"msh.10"	,"msh",0x80000,0x380000,ROM_LOAD_WIDESWAP},
			{"mshux.03"	,"msh",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"mshux.04"	,"msh",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"msh.13","msh",0x400000,0x000000	,ROM_LOAD_SKIP6},
			{"msh.15","msh",0x400000,0x000002	,ROM_LOAD_SKIP6},
			{"msh.17","msh",0x400000,0x000004	,ROM_LOAD_SKIP6},
			{"msh.19","msh",0x400000,0x000006	,ROM_LOAD_SKIP6},
			{"msh.14","msh",0x400000,0x1000000	,ROM_LOAD_SKIP6},
			{"msh.16","msh",0x400000,0x1000002	,ROM_LOAD_SKIP6},
			{"msh.18","msh",0x400000,0x1000004	,ROM_LOAD_SKIP6},
			{"msh.20","msh",0x400000,0x1000006	,ROM_LOAD_SKIP6},

			{"msh.01","msh",0x20000 ,0	   ,ROM_LOAD_NORMAL},
			{"msh.02","msh",0x20000 ,0x20000 ,ROM_LOAD_NORMAL},
			{"msh.11","msh",0x200000,0       ,ROM_LOAD_BYTESWAP},
			{"msh.12","msh",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// X-Men Vs. Street Fighter (US 961004)
	//

	{
		"xmvsf",
		"Xmen vs. SF",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x40000,	//spr
		0x4000, //chars
		0x8000, //tile16
		0x2000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x5400*16*8,
		0x800000+0x0800*64*8,

		0x0,0x5400,0x0800,
		0x3fff,	// charpad
		0x7fff, // tile16pad
		0x1fff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		9,
		8,
		2,
		2,

		{
			{"xvsu.03h"	,"xmvsf",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"xvsu.04h"	,"xmvsf",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"xvs.05a"	,"xmvsf",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"xvs.06a"	,"xmvsf",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"xvs.07"	,"xmvsf",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"xvs.08"	,"xmvsf",0x80000,0x280000,ROM_LOAD_WIDESWAP},
			{"xvs.09"	,"xmvsf",0x80000,0x300000,ROM_LOAD_WIDESWAP},
			{"xvsux.03h"	,"xmvsf",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"xvsux.04h"	,"xmvsf",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"xvs.13","xmvsf",0x400000,0x000000	,ROM_LOAD_SKIP6},
			{"xvs.15","xmvsf",0x400000,0x000002	,ROM_LOAD_SKIP6},
			{"xvs.17","xmvsf",0x400000,0x000004	,ROM_LOAD_SKIP6},
			{"xvs.19","xmvsf",0x400000,0x000006	,ROM_LOAD_SKIP6},
			{"xvs.14","xmvsf",0x400000,0x1000000	,ROM_LOAD_SKIP6},
			{"xvs.16","xmvsf",0x400000,0x1000002	,ROM_LOAD_SKIP6},
			{"xvs.18","xmvsf",0x400000,0x1000004	,ROM_LOAD_SKIP6},
			{"xvs.20","xmvsf",0x400000,0x1000006	,ROM_LOAD_SKIP6},

			{"xvs.01","xmvsf",0x20000 ,0	   ,ROM_LOAD_NORMAL},
			{"xvs.02","xmvsf",0x20000 ,0x20000 ,ROM_LOAD_NORMAL},
			{"xvs.11","xmvsf",0x200000,0       ,ROM_LOAD_BYTESWAP},
			{"xvs.12","xmvsf",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},


	//
	// Alien vs. Predator
	//

	{
		"avsp",
		"Alien vs. Predator",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x14000,	//spr
		0x5000, //chars
		0x4000, //tile16
		0x1000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x1000*16*8,
		0x800000+0x1000*64*8,

		0x0,0x1000,0x1000,
		0x7fff,	// charpad
		0x3fff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		6,
		8,
		1,
		2,

		{
			{"avpe.03d"	,"avsp",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"avpe.04d"	,"avsp",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"avp.05d"	,"avsp",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"avp.06"	,"avsp",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"avpex.03d","avsp",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"avpex.04d","avsp",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"avp.13","avsp",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"avp.15","avsp",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"avp.17","avsp",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"avp.19","avsp",0x200000,0x000006	,ROM_LOAD_SKIP6},
			{"avp.14","avsp",0x200000,0x800000	,ROM_LOAD_SKIP6},
			{"avp.16","avsp",0x200000,0x800002	,ROM_LOAD_SKIP6},
			{"avp.18","avsp",0x200000,0x800004	,ROM_LOAD_SKIP6},
			{"avp.20","avsp",0x200000,0x800006	,ROM_LOAD_SKIP6},

			{"avp.01","avsp",0x20000,0	,ROM_LOAD_NORMAL},
			{"avp.11","avsp",0x200000,0,ROM_LOAD_BYTESWAP},
			{"avp.12","avsp",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Super street fighter 2
	//

	{
		"ssf2",
		"Super Street Fighter 2",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x18000,	//spr
		0x5000, //chars
		0x4000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x2000*16*8,
		0x5600*64*8,

		0x0,0x2000,0x5600,
		0x7fff,	// charpad
		0x3fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		10,
		8,
		1,
		8,

		{
			{"ssfu.03a"	,"ssf2",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"ssfu.04a"	,"ssf2",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"ssfu.05"	,"ssf2",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"ssfu.06"	,"ssf2",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"ssfu.07"	,"ssf2",0x80000,0x200000,ROM_LOAD_WIDESWAP},

			{"ssfux.03a","ssf2",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"ssfux.04a","ssf2",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"ssfux.05" ,"ssf2",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"ssfux.06" ,"ssf2",0x80000,0x580000,ROM_LOAD_WIDESWAP},
			{"ssfux.07" ,"ssf2",0x80000,0x600000,ROM_LOAD_WIDESWAP},

			{"ssf.13","ssf2",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"ssf.15","ssf2",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"ssf.17","ssf2",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"ssf.19","ssf2",0x200000,0x000006	,ROM_LOAD_SKIP6},
			{"ssf.14","ssf2",0x100000,0x800000	,ROM_LOAD_SKIP6},
			{"ssf.16","ssf2",0x100000,0x800002	,ROM_LOAD_SKIP6},
			{"ssf.18","ssf2",0x100000,0x800004	,ROM_LOAD_SKIP6},
			{"ssf.20","ssf2",0x100000,0x800006	,ROM_LOAD_SKIP6},

			{"ssf.01","ssf2",0x20000,0	,ROM_LOAD_NORMAL},
			{"ssf.q01","ssf2",0x80000,0,ROM_LOAD_NORMAL},
			{"ssf.q02","ssf2",0x80000,0x80000,ROM_LOAD_NORMAL},
			{"ssf.q03","ssf2",0x80000,0x100000,ROM_LOAD_NORMAL},
			{"ssf.q04","ssf2",0x80000,0x180000,ROM_LOAD_NORMAL},
			{"ssf.q05","ssf2",0x80000,0x200000,ROM_LOAD_NORMAL},
			{"ssf.q06","ssf2",0x80000,0x280000,ROM_LOAD_NORMAL},
			{"ssf.q07","ssf2",0x80000,0x300000,ROM_LOAD_NORMAL},
			{"ssf.q08","ssf2",0x80000,0x380000,ROM_LOAD_NORMAL}
		}
	},

	//
	// Dungeons and Dragons Tower of Doom
	//

	{
		"ddtod",
		"Dungeons and Dragons",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x10000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x1000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x2000*16*8,
		0x800000+0x1800*64*8,

		0x0,0x2000,0x1800,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		8,
		8,
		1,
		2,

		{
			{"dadu.03b"	,"ddtod",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"dadu.04b"	,"ddtod",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"dadu.05b"	,"ddtod",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"dad.06"	,"ddtod",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"dad.07"	,"ddtod",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"dadux.03b"	,"ddtod",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"dadux.04b"	,"ddtod",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"dadux.05b"	,"ddtod",0x80000,0x500000,ROM_LOAD_WIDESWAP},

			{"dad.13","ddtod",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"dad.15","ddtod",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"dad.17","ddtod",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"dad.19","ddtod",0x200000,0x000006	,ROM_LOAD_SKIP6},
			{"dad.14","ddtod",0x100000,0x800000	,ROM_LOAD_SKIP6},
			{"dad.16","ddtod",0x100000,0x800002	,ROM_LOAD_SKIP6},
			{"dad.18","ddtod",0x100000,0x800004	,ROM_LOAD_SKIP6},
			{"dad.20","ddtod",0x100000,0x800006	,ROM_LOAD_SKIP6},

			{"dad.01","ddtod",0x20000,0	,ROM_LOAD_NORMAL},
			{"dad.11","ddtod",0x200000,0,ROM_LOAD_BYTESWAP},
			{"dad.12","ddtod",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Battle circuit
	//

	{
		"batcirj",
		"Battle Circuit",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x20000,	//spr
		0x4000, //chars
		0x10000, //tile16
		0x1000,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x0300*16*8,
		0x800000+0x09c0*64*8,

		0x0,0x0300,0x09c0,
		0x3fff,	// charpad
		0xffff, // tile16pad
		0xfff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		11,
		4,
		2,
		2,

		{
			{"btcj.03"	,"batcirj",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"btcj.04"	,"batcirj",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"btcj.05"	,"batcirj",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"btcj.06"	,"batcirj",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"btc.07"	,"batcirj",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"btc.08"	,"batcirj",0x80000,0x280000,ROM_LOAD_WIDESWAP},
			{"btc.09"	,"batcirj",0x80000,0x300000,ROM_LOAD_WIDESWAP},
			{"btcjx.03"	,"batcirj",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"btcjx.04"	,"batcirj",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"btcjx.05"	,"batcirj",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"btcjx.06"	,"batcirj",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"btc.13","batcirj",0x400000 ,0x000000	,ROM_LOAD_SKIP6},
			{"btc.15","batcirj",0x400000 ,0x000002	,ROM_LOAD_SKIP6},
			{"btc.17","batcirj",0x400000 ,0x000004	,ROM_LOAD_SKIP6},
			{"btc.19","batcirj",0x400000 ,0x000006	,ROM_LOAD_SKIP6},

			{"btc.01","batcirj",0x20000,0	,ROM_LOAD_NORMAL},
			{"btc.02","batcirj",0x20000,0x20000	,ROM_LOAD_NORMAL},
			{"btc.11","batcirj",0x200000,0,ROM_LOAD_BYTESWAP},
			{"btc.12","batcirj",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Eco fighters
	//

	{
		"ecofghtr",
		"Eco Fighters",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x18000,	//spr
		0x4000, //chars
		0x4000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x1000*16*8,
		0x800000+0x1000*64*8,

		0x0,0x1000,0x1000,
		0x3fff,	// charpad
		0x3fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		8,
		8,
		1,
		2,

		{
			{"uece.03"	,"ecofghtr",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"uece.04"	,"ecofghtr",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"uece.05"	,"ecofghtr",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"uece.06"	,"ecofghtr",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"uecex.03"	,"ecofghtr",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"uecex.04"	,"ecofghtr",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"uecex.05"	,"ecofghtr",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"uecex.06"	,"ecofghtr",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"uec.13","ecofghtr",0x200000 ,0x000000	,ROM_LOAD_SKIP6},
			{"uec.15","ecofghtr",0x200000 ,0x000002	,ROM_LOAD_SKIP6},
			{"uec.17","ecofghtr",0x200000 ,0x000004	,ROM_LOAD_SKIP6},
			{"uec.19","ecofghtr",0x200000 ,0x000006	,ROM_LOAD_SKIP6},
			{"uec.14","ecofghtr",0x100000,0x800000	,ROM_LOAD_SKIP6},
			{"uec.16","ecofghtr",0x100000,0x800002	,ROM_LOAD_SKIP6},
			{"uec.18","ecofghtr",0x100000,0x800004	,ROM_LOAD_SKIP6},
			{"uec.20","ecofghtr",0x100000,0x800006	,ROM_LOAD_SKIP6},

			{"uec.01","ecofghtr",0x20000,0	,ROM_LOAD_NORMAL},
			{"uec.11","ecofghtr",0x200000,0,ROM_LOAD_BYTESWAP},
			{"uec.12","ecofghtr",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},


	//
	// 19xx
	//

	{
		"19xx",
		"19xx US",
		ROMSET_CPS2,
		VIDEO_ROT90,
		0,

		0x20000,	//spr
		0x4000, //chars
		0x2000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x800*16*8,
		0x800000+0xe00*64*8,

		0x0,0x0800,0x0e00,
		0x3fff,	// charpad
		0x1fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		9,
		8,
		1,
		2,

		{
			{"19xu.03"	,"19xx",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"19xu.04"	,"19xx",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"19xu.05"	,"19xx",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"19xu.06"	,"19xx",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"19x.07"	,"19xx",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"19xux.03"	,"19xx",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"19xux.04"	,"19xx",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"19xux.05"	,"19xx",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"19xux.06"	,"19xx",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"19x.13","19xx",0x80000 ,0x000000	,ROM_LOAD_SKIP6},
			{"19x.15","19xx",0x80000 ,0x000002	,ROM_LOAD_SKIP6},
			{"19x.17","19xx",0x80000 ,0x000004	,ROM_LOAD_SKIP6},
			{"19x.19","19xx",0x80000 ,0x000006	,ROM_LOAD_SKIP6},
			{"19x.14","19xx",0x200000,0x800000	,ROM_LOAD_SKIP6},
			{"19x.16","19xx",0x200000,0x800002	,ROM_LOAD_SKIP6},
			{"19x.18","19xx",0x200000,0x800004	,ROM_LOAD_SKIP6},
			{"19x.20","19xx",0x200000,0x800006	,ROM_LOAD_SKIP6},

			{"19x.01","19xx",0x20000,0	,ROM_LOAD_NORMAL},
			{"19x.11","19xx",0x200000,0,ROM_LOAD_BYTESWAP},
			{"19x.12","19xx",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// 19XX: The War Against Destiny (Hispanic 951218)
	//

	{
		"19xxh",
		"19xx Hispanic",
		ROMSET_CPS2,
		VIDEO_ROT90,
		0,

		0x20000,	//spr
		0x4000, //chars
		0x2000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x800*16*8,
		0x800000+0xe00*64*8,

		0x0,0x0800,0x0e00,
		0x3fff,	// charpad
		0x1fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		9,
		8,
		1,
		2,

		{
			{"19xh.03a"	,"19xxh",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"19xh.04a"	,"19xxh",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"19xh.05a"	,"19xxh",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"19xh.06a"	,"19xxh",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"19x.07"	,"19xx",0x80000,0x200000,ROM_LOAD_WIDESWAP},
			{"19xhx.03a"	,"19xxh",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"19xhx.04a"	,"19xxh",0x80000,0x480000,ROM_LOAD_WIDESWAP},
			{"19xhx.05a"	,"19xxh",0x80000,0x500000,ROM_LOAD_WIDESWAP},
			{"19xhx.06a"	,"19xxh",0x80000,0x580000,ROM_LOAD_WIDESWAP},

			{"19x.13","19xx",0x80000 ,0x000000	,ROM_LOAD_SKIP6},
			{"19x.15","19xx",0x80000 ,0x000002	,ROM_LOAD_SKIP6},
			{"19x.17","19xx",0x80000 ,0x000004	,ROM_LOAD_SKIP6},
			{"19x.19","19xx",0x80000 ,0x000006	,ROM_LOAD_SKIP6},
			{"19x.14","19xx",0x200000,0x800000	,ROM_LOAD_SKIP6},
			{"19x.16","19xx",0x200000,0x800002	,ROM_LOAD_SKIP6},
			{"19x.18","19xx",0x200000,0x800004	,ROM_LOAD_SKIP6},
			{"19x.20","19xx",0x200000,0x800006	,ROM_LOAD_SKIP6},

			{"19x.01","19xx",0x20000,0	,ROM_LOAD_NORMAL},
			{"19x.11","19xx",0x200000,0,ROM_LOAD_BYTESWAP},
			{"19x.12","19xx",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},


	//
	// Darkstalkers: The Night Warriors (US 940818)
	//

	{
		"dstlk",
		"Darkstalkers",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x28000,	//spr
		0x5000, //chars
		0x4000, //tile16
		0x800,  

		0,0,0,0,0,0,0,

		0x0, 
		0x800000, 
		0x800000+0x1000*16*8,
		0x800000+0x0e00*64*8,

		0x0,0x1000,0x0e00,
		0x7fff,	// charpad
		0x3fff, // tile16pad
		0x7ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		10,
		8,
		2,
		2,

		{
			{"vamj.03a", "vampj"	,0x80000,0				 ,ROM_LOAD_WIDESWAP},
			{"vamj.04b", "vampj"	,0x80000,0x80000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.05a", "vampj"	,0x80000,0x100000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.06a", "vampj"	,0x80000,0x180000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.07a", "vampj"	,0x80000,0x200000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.08a", "vampj"	,0x80000,0x280000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.09a", "vampj"	,0x80000,0x300000		 ,ROM_LOAD_WIDESWAP},
			{"vamj.10a", "vampj"	,0x80000,0x380000		 ,ROM_LOAD_WIDESWAP},
			{"vamjx.03a","vampj",0x80000,0x400000,ROM_LOAD_WIDESWAP},
			{"vamjx.04b","vampj",0x80000,0x480000,ROM_LOAD_WIDESWAP},

			{"vam.13","dstlk",0x400000,0x000000	,ROM_LOAD_SKIP6},
			{"vam.15","dstlk",0x400000,0x000002	,ROM_LOAD_SKIP6},
			{"vam.17","dstlk",0x400000,0x000004	,ROM_LOAD_SKIP6},
			{"vam.19","dstlk",0x400000,0x000006	,ROM_LOAD_SKIP6},
			{"vam.14","dstlk",0x100000,0x1000000	,ROM_LOAD_SKIP6},
			{"vam.16","dstlk",0x100000,0x1000002	,ROM_LOAD_SKIP6},
			{"vam.18","dstlk",0x100000,0x1000004	,ROM_LOAD_SKIP6},
			{"vam.20","dstlk",0x100000,0x1000006	,ROM_LOAD_SKIP6},

			{"vam.01","dstlk",0x20000,0	,ROM_LOAD_NORMAL},
			{"vam.02","dstlk",0x20000,0x20000,ROM_LOAD_NORMAL},
			{"vam.11","dstlk",0x200000,0,ROM_LOAD_BYTESWAP},
			{"vam.12","dstlk",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	//
	// Street Fighter Alpha (950627)
	//

	{
		"sfa",
		"Street Fighter Alpha",
		ROMSET_CPS2,
		VIDEO_NORMAL,
		0,

		0x10000,	//spr
		0x5000, //chars
		0x2000, //tile16
		0x300,  

		0,0,0,0,0,0,0,

		0x0, 
		0x0, 
		0xd400*16*8,
		0x3d00*64*8,

		0x0,0xd400,0x3d00,
		0x7fff,	// charpad
		0x1fff, // tile16pad
		0x3ff,  // tile32pad

		0x8001ff,0xffff,
		0,0,0,0,
		0x66,

		5,
		4,
		2,
		2,

		{
			{"sfzu.03a"	,"sfa",0x80000,0		 ,ROM_LOAD_WIDESWAP},
			{"sfz.04a"	,"sfa",0x80000,0x80000 ,ROM_LOAD_WIDESWAP},
			{"sfz.05a"	,"sfa",0x80000,0x100000,ROM_LOAD_WIDESWAP},
			{"sfz.06"	,"sfa",0x80000,0x180000,ROM_LOAD_WIDESWAP},
			{"sfzux.03a","sfa",0x80000,0x400000,ROM_LOAD_WIDESWAP},

			{"sfz.14","sfa",0x200000,0x000000	,ROM_LOAD_SKIP6},
			{"sfz.16","sfa",0x200000,0x000002	,ROM_LOAD_SKIP6},
			{"sfz.18","sfa",0x200000,0x000004	,ROM_LOAD_SKIP6},
			{"sfz.20","sfa",0x200000,0x000006	,ROM_LOAD_SKIP6},

			{"sfz.01","sfa",0x20000,0	,ROM_LOAD_NORMAL},
			{"sfz.02","sfa",0x20000,0x20000,ROM_LOAD_NORMAL},
			{"sfz.11","sfa",0x200000,0,ROM_LOAD_BYTESWAP},
			{"sfz.12","sfa",0x200000,0x200000,ROM_LOAD_BYTESWAP}
		}
	},

	// end marker
	{0}
};

