
/*

  message queue

*/

#include <string.h>
#include <memory.h>
#include <stdio.h>
#include <stdlib.h>

#include "message.h"


tMessage::tMessage()
{
	nmsg=0;

	for (int i=0;i<MAXMSG;i++)
	{
		msglist[i].nframes2go=0;
		memset(msglist[i].msg,0,256);
	}
}

void tMessage::addMessage(char* m)
{
	if (nmsg>=MAXMSG) return ; //can't add more messages...

	msglist[nmsg].nframes2go=60;
	strcpy(msglist[nmsg].msg,m);

	nmsg++;
}

void tMessage::draw(unsigned long int* vbuf,tFont* f,int gxs,int gys)
{
	for (int i=0;i<nmsg;i++)
	{
		f->drawString(msglist[i].msg,0xffe0ff,10,i*10+5,gxs,gys,vbuf);
	}
}

void tMessage::serveQueue()
{
	if (nmsg>0)
	{
		msglist[0].nframes2go--;

		if (msglist[0].nframes2go<=0)
		{
			nmsg--;

			// shift (if any) messages
			for (int i=0;i<nmsg;i++)
			{
				msglist[i].nframes2go=msglist[i+1].nframes2go;
				strcpy(msglist[i].msg,msglist[i+1].msg);
			}
		}
	}
}