
/*

  gui
  Rom selector component

*/

#ifndef SELWINDOW_H
#define SELWINDOW_H

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "roms.h"
#include "font.h"
#include "component.h"
#include "gui.h"

class tSelwindow: public tComponent
{
private:

	int fontcolor;
	int mouseover;
	int topgame;
	int ngames;
	int ndisplay;
	int suphl;
	int sdwhl;

	void drawRect(int x1,int y1,int x2,int y2,int col,unsigned long int* vbuf);
	void drawBox(int x1,int y1,int x2,int y2,int col,unsigned long int* vbuf);
	void drawBlendRect(int x1,int y1,int x2,int y2,int col,unsigned long int* vbuf);

public:

	int selected;
	int clicked;

	tSelwindow(int col,int fontcol,int gxs,int gys);
	void update(guiInput* gi);
	void draw(unsigned long int* vbuf,tFont* f8x8,guiInput* gi);
};

#endif
