
/*

  Neo Geo cpu core
  started 8/9/2k+1

*/


#ifndef NEOGEOCPUCORE_H
#define NEOGEOCPUCORE_H

#include "cpucore.h"
#include "4990/pd4990a.h"

class neogeocpucore: public cpucore
{
private:

	char romname[64];

	void update_controls();
	void checkquickstate();

public:

	neogeocpucore(tRomSpace* roms);
	~neogeocpucore();

	void a68kReset();
	void emulate(int snd);
	void build_palette(tCharset* chset);
	void drawScreen(unsigned long int* video,tCharset* chset);
};

#endif

