
/*

  gui
  system (task) bar component

*/


#ifndef SYSBAR_H
#define SYSBAR_H

#include <stdio.h>
#include <stdlib.h>

#include "component.h"
#include "gui.h"

#define clamp(x) (x<0)?0:(x>255)?255:x

class tSysbar: public tComponent
{
private:

	int height;
	int fontcolor;
	int menuover;

	void drawRect(int x1,int y1,int x2,int y2,int col,unsigned long int* vbuf);

public:

	int menuclicked;

	tSysbar(int col,int fontcol,int h,int gxs,int gys);
	void update(guiInput* gi);
	void draw(unsigned long int* vbuf,tFont* f8x8,guiInput* gi);
};


#endif