
/*

  Rom loading for NeoGeo games

*/


#ifndef NEOGEOROMSPACE_H
#define NEOGEOROMSPACE_H

#include "romspace.h"


class neogeoromspace:public tRomSpace
{
private:

	int gromsize;

	void decodesprites(int num,unsigned char *src,unsigned char* dest);
	void decodechars(int num,unsigned char *src,unsigned char** dest);

public:

	unsigned char* bios;
	unsigned char* ymsamples;

	long ymromsize;
	long ncodebanks;

	neogeoromspace();
	~neogeoromspace();
	int readRoms(char* path,char* romsetname,tCharset**);
	void decodeCharset(tCharset*);
} ;


#endif